#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Cisco ASa fan sensor metrics plugin
#
# Author: Th.L.
# Date  : 2018-01-09
#
# replaces: pnp-templates/check_mk-cisco_asa_temp.php
#           web/plugins/perfometer/cisco_asa_temp.py
#
# missing a way to include hostname and service description
#

# key a       green      11/a       21/a       31/a       41/a       12/a       22/a       32/a       42/a
colors_a = ['#80F000', '#a500ff', '#ffc600', '#00ffb2', '#0075ff', '#cc00ff', '#ffd600', '#00ffff', '#0047ff',
            # 13/a       23/a       33/a       43/a       14/a       24/a       34/a       44/a       15/a
            '#f900ff', '#ffed00', '#00e8ff', '#000aff', '#ff4c00', '#e2ff00', '#00d1ff', '#4200ff', '#ff7a00',
            # 25/a       35/a       45/a       16/a       26/a       36/a       46/a       51/a       52/a
            '#bcff00', '#00b2ff', '#6000ff', '#ffa000', '#7fff00', '#0093ff', '#7f00ff', '#7f7f7f', '#7f4a26',
            # 53/a
            '#8c531c']
# key b       green      21/b       31/b       41/b       12/b       22/b       32/b       42/b       13/b
colors_b = ['#80F000', '#c966ff', '#cc9f00', '#00cc8e', '#66acff', '#e066ff', '#ccab00', '#00cccc', '#6690ff',
            # 23/b       33/b       43/b       14/b       24/b       34/b       44/b       15/b       25/b
            '#fb66ff', '#ccbd00', '#00b9cc', '#666cff', '#ff9366', '#b5cc00', '#00a7cc', '#8d66ff', '#ffaf66',
            # 35/b       45/b       16/b       26/b       36/b       46/b       51/b       52/b       53/b
            '#96cc00', '#008ecc', '#a066ff', '#ffc666', '#66cc00', '#0076cc', '#b266ff', '#7f7f7f', '#7f5f49',
            '#8c6a48']


#####################################################################################################################
#
# define units for cisco_asa_temp perfdata
#
#####################################################################################################################



#####################################################################################################################
#
# define metrics for cisco_asa_temp perfdata
#
#####################################################################################################################

metric_info['cisco_asa_temp_temp'] = {
    'title': _('Temperature'),
    'unit': 'c',
    'color': colors_a[0],
}


######################################################################################################################
#
# map cisco_asa_temp perfdata to metric, not really necessary but makes sure to use the right metrics
#
######################################################################################################################

check_metrics['check_mk-cisco_asa_temp'] = {
    'temp': {'name': 'cisco_asa_temp_temp', },
}

######################################################################################################################
#
# how to graph perdata for cisco_asa_temp
#
######################################################################################################################

graph_info.append({
    'title': _('Temperature'),
    'metrics': [
        ('cisco_asa_temp_temp', 'line'),
    ],
    'range': (0, 100),
    'scalars': [
        ('cisco_asa_temp_temp:crit', _('crit level')),
        ('cisco_asa_temp_temp:warn', _('warn level')),
    ],
})

######################################################################################################################
#
# define perf-o-meter for cisco_asa_temp Temperature
#
######################################################################################################################

perfometer_info.append({
        'type': 'linear',
        'segments': ['cisco_asa_temp_temp'],
        'total': 100,
    })
